USE OLTP
--Add primary key
	CREATE TABLE sales_with_pk (
		ID int identity primary key,--adding a primary key column
		Date date NULL,
		Retailer_city char(120) NULL,
		Order_method_type char(120) NULL,
		Urgent char(5) NULL,
		Retailer_type char(120) NULL,
		Product_code char(5) NULL,
		Sale_price money NULL,
		Quantity_sold int NULL
	)

--load the data
INSERT INTO sales_with_pk (Date, Retailer_city, Order_method_type,
		Urgent, Retailer_type, Product_code, Sale_price, Quantity_sold)
SELECT *
FROM oltp.dbo.sales

--New sales table
SELECT * FROM sales_with_pk